Subject: I am with TCS for 8 years now and still the package is around 7L working in the busin...?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Mon, 21 Mar 2022 20:37:18 +0000

-----

Question: I am with TCS for 8 years now and still the package is around 7L working in the business domain. How can I improve my pay without leaving the company? My total experience is 11 years.

Answer from Nitin Ranjan

Package of 7L, with 8 years of TCS experience is very less even with TCS standards forget about the industry salary standards. If someone joins TCS as a fresher and mainta 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8MXwxfDI3ODIwMjQ1MyJ9&al_pri=8&aoid=9YJMo5dCHYT&aoty=1&aty=4&cp=1&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: Will Tech Mahindra lay off the people who are in Bench who has recently joined?

Answer from Soumya Tiwari

This answer will answer many of your questions. Post C.P. Gurnani took the charge of company as CEO the complete business model has been reformed wherein building the comp 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8MnwxfDk0ODUyODQ2In0%3D&al_pri=8&aoid=mZf29hdA3sY&aoty=1&aty=4&cp=2&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: IT employees have filed a complaint against Cognizant, Accenture, etc., for working hours more than 8 hours. How can this be resolved?

Answer from Ritesh Maity

In India, you are allowed to work maximum 9 hours/ day or 48 hours/ week. Beyond that an employee is entitled to overtime wages (double the rate of wages) and can work max 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8M3wxfDI5NDgzNzI5OSJ9&al_pri=8&aoid=FZ30m7qg9wQ&aoty=1&aty=4&cp=3&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: I am 26 years old, pursuing graduation and I have wasted my life till now but now I have realised that I want to become an IPS officer, is it possible? Am I too late?

Answer from Santosh Pandey

Its never late to pursue your dream. Let me share with you an inspiration story of my own friend.

He wanted to be an IPS officer. He was average in studies. But he had ex 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8NHwxfDI3OTAxNDI1NyJ9&al_pri=8&aoid=MEEBBSlLPiH&aoty=1&aty=4&cp=4&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: Why did the SBI chairman go to jail?

Answer from Kanthaswamy Balasubramaniam

Ex Chairman Mr Pratip Chaudhuri

In 2007, a Borrower had taken a loan to build a new hotel from SBI. He mortgaged an already existing hotel and the new site on which the n 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8NXwxfDMxODE1NjU5OCJ9&al_pri=8&aoid=Ft4dpaEjfBZ&aoty=1&aty=4&cp=5&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: Will TCS work from home continue beyond 30 June 2021 or is TCS now planning to call its employees to office? Will SBWS working mode be extended till 30th September? And will work from home continue till 31st March 2022?

Answer from Deep Chakraborty

Nobody has claimed from TCS that they would call back employees. TCS cares the most for their employees and the employees dependants. An extension of SBWS is imminent. How 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8NnwxfDI4NzA5OTA1NSJ9&al_pri=8&aoid=RzW8JNI1GrA&aoty=1&aty=4&cp=6&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: Can an SSC CHSL 2019 candidate share their scorecard?

Answer from Apoorv Singh

My CHSL exam was on 18th march,shift 1. The purpose of sharing my marks here is to convey that how important our confidence and temperament is while attempting moderate,to 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8N3wxfDI2MDc4MjE1NSJ9&al_pri=8&aoid=4ZDEsHSKbMK&aoty=1&aty=4&cp=7&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: If I get pregnant in Canada under a student visa, does that allow me to stay permanently?

Answer from Gerry U

Having a child in Canada while here on any temporary residency visa does not guarantee you anything other than your child is a Canadian citizen and can sponsor you to Cana 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8OHwxfDMyNjY0MTk1NyJ9&al_pri=8&aoid=3brKCGE9zyS&aoty=1&aty=4&cp=8&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: Has TCS started calling employees back to the office from 1 January 2022?

Answer from Ashish Gupta

Majority of people not wanted to go back to office again, specially those who does not live in the office location like me, but yesterday (8th Oct) TCS announced they'll c 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8OXwxfDMxMjg2MjI1OCJ9&al_pri=8&aoid=FKy5XJfUkG6&aoty=1&aty=4&cp=9&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----
Question: What is the difference between you and your sister?

Answer from Madhavi Kushwaha

1. My name is Madhavi and she is Tanya.
2. I am 21, she is 17
3. I am 5′4″, she is 5′6″.
4. I am egoistic, she is polite.
5. I have typical Indian hair, and her hair is st 
Read More: https://www.quora.com/qemail/tc?al_imp=eyJ0eXBlIjogMzMsICJoYXNoIjogIjIwMzk1NDYxOTU3NTA0NTUyNzl8MTB8MXwyODcyMTk5NDkifQ%3D%3D&al_pri=8&aoid=mD7qsoW2tM7&aoty=1&aty=4&cp=10&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF
-----

-----

To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&et=2&id=96379dc5cca447e3a3bc3443e2901100&uid=VXdjaWV6iqF

To unsubscribe from this type of email, visit: https://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=96379dc5cca447e3a3bc3443e2901100&t=1647895037882598&token=d4dc302d179e1ca16d90fe0d7e2b623319c4a1a0344c67b97bf501a22d0a0169d86a8c05e752b5d0cdfc20e1b2c7d436a2b1da4de98d6e176d15d90312b9cc11&type=2&uid=1769591284